﻿using Microsoft.Data.SqlClient;
using Microsoft.Data.Sqlite;
using System.Data.Common;

namespace EVCB_OCPP.DBAPI.ConnectionFactory;

public interface ISqliteConnectionConnectionFactory<T> where T : class
{
    string ConnectionString { get; init; }
    SqliteConnection Create();
    Task<SqliteConnection> CreateAsync();
}
